<?xml version="1.0" encoding="utf-8"?>

<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="epson.print">
    <!--    网络-->
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <!--    读写-->
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />

    <uses-permission android:name="android.permission.NFC" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <!--    定位-->
    <uses-permission-sdk-23 android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission-sdk-23 android:name="android.permission.ACCESS_COARSE_LOCATION" />

    <!--    硬件请求-->
    <uses-feature
        android:name="android.hardware.location"
        android:required="false" />
    <uses-feature
        android:name="android.hardware.location.network"
        android:required="false" />
    <uses-feature
        android:name="android.hardware.wifi"
        android:required="true" />
    <uses-feature
        android:name="android.hardware.camera"
        android:required="false" />
    <uses-feature
        android:name="android.hardware.camera.autofocus"
        android:required="false" />
    <uses-feature
        android:name="android.hardware.bluetooth_le"
        android:required="false" />

    <uses-permission android:name="android.permission.GET_ACCOUNTS" />
    <uses-permission android:name="android.permission.USE_CREDENTIALS" />
    <uses-permission android:name="android.permission.MANAGE_ACCOUNTS" />
    <uses-permission android:name="com.sony.mobile.permission.SYSTEM_UI_VISIBILITY_EXTENSION" />


    <application
        android:name=".IprintApplication"
        android:hardwareAccelerated="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:largeHeap="true"
        android:networkSecurityConfig="@xml/network_security_config"
        android:theme="@style/AppTheme">
        <uses-library
            android:name="org.apache.http.legacy"
            android:required="false" />

        <activity
            android:name="epson.print.WebShareActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false">
            <intent-filter>
                <action android:name="android.intent.action.SEND" />
                <category android:name="android.intent.category.DEFAULT" />
                <data android:mimeType="text/plain" />
            </intent-filter>
        </activity>
        <activity
            android:name="epson.print.WebviewActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="epson.print.ActivityViewImageSelect"
            android:configChanges="locale|keyboard|keyboardHidden|orientation|screenLayout|uiMode|screenSize|smallestScreenSize|layoutDirection|fontScale"
            android:hardwareAccelerated="@bool/enableHardwareAccelerated"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified">
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />
                <action android:name="android.intent.action.SEND" />
                <action android:name="android.intent.action.SEND_MULTIPLE" />

                <category android:name="android.intent.category.DEFAULT" />

                <data android:mimeType="image/jpg" />
                <data android:mimeType="image/jpeg" />
                <data android:mimeType="image/bmp" />
                <data android:mimeType="image/png" />
                <data android:mimeType="image/x-bmp" />
                <data android:mimeType="image/x-ms-bmp" />
                <data android:mimeType="image/heif" />
            </intent-filter>
        </activity>
        <activity
            android:name="epson.support.SupportActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="epson.support.SupportAboutActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="epson.support.DeviceInformationActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="epson.print.activity.AFolderPhoto"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="epson.print.gdconv.ConvertProgressActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified"
            android:theme="@style/AppTheme.Translucent.Gray" />
        <activity
            android:name="epson.scan.activity.ScanActivity"
            android:configChanges="locale|keyboard|keyboardHidden|orientation|screenLayout|uiMode|screenSize|smallestScreenSize|layoutDirection|fontScale"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="epson.scan.activity.ScanSettingsActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="epson.scan.activity.ScanSearchActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="epson.scan.activity.ScanSettingsDetailActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="epson.scan.activity.ScanSettingsAdvanceDetailActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="epson.scan.activity.ScanSettingsAdvanceDensityActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="epson.print.copy.CopyActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="epson.print.copy.CopyScaleActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="epson.print.copy.CopySettingActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="epson.print.rpcopy.CopyActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:parentActivityName="epson.print.IprintHome"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="epson.print.IprintHome" />
        </activity>
        <activity
            android:name="epson.print.rpcopy.CopySettingActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="epson.print.screen.PrintProgress"
            android:configChanges="locale|keyboard|keyboardHidden|orientation|screenLayout|uiMode|screenSize|smallestScreenSize|layoutDirection|fontScale"
            android:exported="false"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified"
            android:theme="@style/Theme.MyDialog" />
        <activity
            android:name="epson.print.screen.ConfirmMultiScr"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified"
            android:theme="@style/Theme.MyDialog" />
        <activity
            android:name="epson.print.screen.SettingScr"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:exported="false"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="epson.print.screen.SearchPrinterScr"
            android:configChanges="keyboard|keyboardHidden|orientation|screenLayout|uiMode|screenSize"
            android:exported="false"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="epson.print.screen.PrinterFinder"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:exported="false"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="epson.print.screen.PrinterInfoDetail"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:exported="false"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="epson.print.screen.PageRangeSetting"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:exported="false"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />

        <service
            android:name="epson.print.service.EpsonService"
            android:exported="false"
            android:process=":remote" />

        <activity
            android:name="epson.server.screens.StorageServer"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:label="@string/app_name"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="epson.print.IprintHome"
            android:configChanges="keyboard|keyboardHidden|orientation|screenLayout|uiMode|screenSize"
            android:exported="true"
            android:label="@string/app_name"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="epson.server.screens.UploadScreen"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:label="@string/app_name"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified"
            android:windowSoftInputMode="adjustResize" />
        <activity
            android:name="epson.maintain.activity.MaintainActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:exported="false"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="epson.maintain.activity.FirmwareUpdateActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:theme="@style/AppTheme.Translucent.Gray" />
        <activity
            android:name="epson.epsonconnectregistration.ActivityECConfiguration"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:theme="@style/AppTheme.Translucent.Gray" />
        <activity
            android:name="epson.maintain.activity.MaintainPrinterSearchActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenLayout|uiMode|screenSize"
            android:exported="false"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="epson.maintain.activity.EccPrintLog"
            android:resizeableActivity="false" />
        <activity
            android:name="epson.print.WellcomeScreenActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name="epson.print.ActivityPrintWeb"
            android:configChanges="locale|keyboard|keyboardHidden|orientation|screenLayout|uiMode|screenSize|smallestScreenSize|layoutDirection|fontScale"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="epson.scan.activity.MailActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="epson.print.fileBrower"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="epson.print.ActivityDocsPrintPreview"
            android:configChanges="locale|keyboard|keyboardHidden|orientation|screenLayout|uiMode|screenSize|smallestScreenSize|layoutDirection|fontScale"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified">
            <intent-filter>
                <action android:name="android.intent.action.SEND" />
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />

                <data android:mimeType="application/pdf" />
                <data android:mimeType="application/msword" />
                <data android:mimeType="application/vnd.ms-excel" />
                <data android:mimeType="application/vnd.ms-powerpoint" />
                <data android:mimeType="application/vnd.openxmlformats-officedocument.wordprocessingml.document" />
                <data android:mimeType="application/vnd.openxmlformats-officedocument.presentationml.presentation" />
                <data android:mimeType="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet" />
                <data android:mimeType="text/csv" />
                <data android:mimeType="application/rtf" />
                <data android:mimeType="text/rtf" />
                <data android:mimeType="text/comma-separated-values" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.epson.iprint.storage.StorageProcessDownloadActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="com.epson.iprint.storage.StorageProcessUploadActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:windowSoftInputMode="stateHidden" />
        <activity
            android:name="com.epson.iprint.storage.StorageWaitingActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:theme="@style/AppTheme.Translucent.Gray" />
        <activity
            android:name="com.epson.iprint.storage.gdrivev3.GoogleV3UploadSignInActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:windowSoftInputMode="stateHidden" />
        <activity
            android:name="com.epson.iprint.storage.gdrivev3.ListAndDownloadActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:excludeFromRecents="true"
            android:resizeableActivity="false" />
        <activity
            android:name="com.epson.iprint.storage.dropbox.DropboxV2SignInActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:windowSoftInputMode="stateHidden" />
        <activity
            android:name="com.dropbox.core.android.AuthActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:launchMode="singleTask"
            android:resizeableActivity="false">
            <intent-filter>
                <data android:scheme="db-73ps18y0cjibceg" />
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.BROWSABLE" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.epson.iprint.storage.onedrive.OneDriveSignInActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:windowSoftInputMode="stateHidden" />
        <activity
            android:name="com.epson.iprint.storage.onedrive.OneDriveStorageProcessUploadActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:windowSoftInputMode="stateHidden" />
        <activity
            android:name="com.epson.iprint.storage.box.BoxNetSignInActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:windowSoftInputMode="stateHidden" />
        <activity
            android:name="com.box.boxandroidlibv2.activities.OAuthActivity"
            android:resizeableActivity="false" />
        <activity
            android:name="com.epson.iprint.storage.evernote.EvernoteSignInActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateHidden" />
        <activity
            android:name="epson.print.screen.ActivityPrinterSetting"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="epson.print.screen.PaperSourceSettingScr"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="epson.print.screen.ActivityIpPrinterSetting"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="epson.print.ActivityNfcPrinter"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified"
            android:theme="@style/AppTheme.Translucent" />
        <activity
            android:name="com.evernote.client.android.EvernoteOAuthActivity"
            android:configChanges="keyboardHidden|orientation"
            android:resizeableActivity="false" />
        <activity
            android:name="com.evernote.client.android.login.EvernoteLoginActivity"
            android:configChanges="keyboardHidden|orientation"
            android:resizeableActivity="false" />
        <activity
            android:name="epson.maintain.activity.GetPrinterReplyData"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:excludeFromRecents="false"
            android:noHistory="false"
            android:resizeableActivity="false"
            android:screenOrientation="behind"
            android:theme="@style/AppTheme.Translucent" />
        <activity
            android:name="com.epson.iprint.shared.EpsoniPrintSharedActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:excludeFromRecents="false"
            android:noHistory="false"
            android:resizeableActivity="false"
            android:theme="@style/AppTheme.Translucent">
            <intent-filter>
                <action android:name="com.epson.iprint.photo" />
                <action android:name="com.epson.iprint.scan" />
                <action android:name="com.epson.iprint.web" />
                <action android:name="com.epson.iprint.status" />
                <action android:name="com.epson.iprint.isSetDevice" />

                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.epson.mobilephone.common.wifidirect.ActivityWiFiDirectStart"
            android:configChanges="orientation|screenSize"
            android:resizeableActivity="false" />
        <activity
            android:name="com.epson.mobilephone.common.wifidirect.ActivityiPrintConnectStart"
            android:configChanges="orientation|screenSize"
            android:resizeableActivity="false" />
        <activity
            android:name="com.epson.mobilephone.common.wifidirect.ActivityiPrintConnect"
            android:configChanges="orientation|screenSize"
            android:resizeableActivity="false" />
        <activity
            android:name="com.epson.mobilephone.common.wifidirect.ActivityWiFiDirectManual"
            android:configChanges="orientation|screenSize"
            android:resizeableActivity="false" />
        <activity
            android:name="com.epson.mobilephone.common.wifidirect.ActivityWiFiDirectError"
            android:configChanges="orientation|screenSize"
            android:resizeableActivity="false" />
        <activity
            android:name="com.epson.memcardacc.MemcardImageGrid"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="com.epson.memcardacc.ConfirmReadMemcard"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="com.epson.memcardacc.MemcardReadProgress"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified"
            android:theme="@style/Theme.MyDialog" />
        <activity
            android:name="com.epson.memcardacc.MemcardTop"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false" />
        <activity
            android:name="com.epson.memcardacc.MemcardWriteProgress"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified"
            android:theme="@style/Theme.MyDialog" />
        <activity
            android:name="com.epson.memcardacc.PhotoCopyWriteProgress"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified"
            android:theme="@style/Theme.MyDialog" />
        <activity
            android:name="com.epson.memcardacc.ConfirmWriteMemcard"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:screenOrientation="unspecified" />
        <activity
            android:name="com.epson.memcardacc.DirectorySelecterActivity"
            android:resizeableActivity="false"
            android:theme="@style/Theme.Dialog" />
        <activity
            android:name="com.epson.memcardacc.MemcardPhotocopyTop"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false" />
        <activity
            android:name="com.epson.memcardacc.LocalImageSelectActivity"
            android:resizeableActivity="false" />
        <activity
            android:name="com.epson.memcardacc.PhotoCopyImageSelectActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false" />
        <activity
            android:name="com.epson.cameracopy.p006ui.CameraPreviewActivity"
            android:resizeableActivity="false"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.epson.cameracopy.p006ui.FolderSelectActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false" />
        <activity
            android:name="com.epson.cameracopy.p006ui.ImagePreviewActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.epson.cameracopy.ui.CameraPreviewActivity" />
        </activity>
        <activity
            android:name="com.epson.cameracopy.p006ui.CameraPreviewOptionActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false" />
        <activity
            android:name="com.epson.cameracopy.p006ui.PrintPreviewActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false" />
        <activity
            android:name="com.epson.cameracopy.p006ui.CameraPrintSettingActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false" />
        <activity
            android:name="com.epson.cameracopy.p006ui.CameraPrintProgress"
            android:configChanges="locale|keyboard|keyboardHidden|orientation|screenLayout|uiMode|screenSize|smallestScreenSize|layoutDirection|fontScale"
            android:resizeableActivity="false"
            android:theme="@style/Theme.MyDialog" />
        <activity
            android:name="com.epson.cameracopy.p006ui.CropImageActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenLayout|uiMode|screenSize"
            android:resizeableActivity="false" />
        <activity
            android:name="com.epson.cameracopy.p006ui.DocumentSizeSettingActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false" />
        <activity
            android:name="com.epson.cameracopy.p006ui.DocumentSizeEditActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false" />
        <activity
            android:name="epson.print.imgsel.PhotoImageSelectActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false" />
        <activity
            android:name="epson.print.imgsel.CameraCopyImageSelectActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false" />
        <activity
            android:name="epson.print.imgsel.ImageViewPagerActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false" />
        <activity
            android:name="epson.print.imgsel.ImageViewPagerWithNfcInvalidPrintMessageActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false" />
        <activity
            android:name="epson.print.ActivityRequestPermissions"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false"
            android:theme="@style/AppTheme.RequestPerm" />
        <activity
            android:name="epson.scan.activity.I2ScanActivity"
            android:configChanges="locale|keyboard|keyboardHidden|orientation|screenLayout|uiMode|screenSize|smallestScreenSize|layoutDirection|fontScale"
            android:resizeableActivity="false" />
        <activity
            android:name="epson.scan.activity.I2DoubleSideScanSettingActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false" />
        <activity
            android:name="epson.scan.activity.I2ScanSettingActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false" />
        <activity
            android:name="epson.scan.activity.I2SettingDetailActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false" />
        <activity
            android:name="epson.scan.activity.InputUnitSettingActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false" />
        <activity
            android:name="com.epson.mobilephone.common.ble.BleWorkActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:resizeableActivity="false" />
        <activity
            android:name="epson.print.inkrpln.InkRplnProgressDialog"
            android:resizeableActivity="false"
            android:theme="@style/AppTheme.Translucent" />
        <activity
            android:name="epson.print.inkrpln.JumpUrlProgressActivity"
            android:resizeableActivity="false"
            android:theme="@style/AppTheme.Translucent" />
        <activity
            android:name="epson.maintain.activity.CheckEulaActivity"
            android:resizeableActivity="false"
            android:theme="@style/LicenseTheme" />

        <provider
            android:name="epson.provider.ScannedFileProvider"
            android:authorities="epson.print.provider.scannedfile"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/provider_paths_scannedfile" />
        </provider>
        <receiver
            android:name="com.google.android.gms.analytics.AnalyticsReceiver"
            android:enabled="true"
            android:exported="false">
            <intent-filter>
                <action android:name="com.google.android.gms.analytics.ANALYTICS_DISPATCH" />
            </intent-filter>
        </receiver>
        <service
            android:name="com.google.android.gms.analytics.AnalyticsService"
            android:enabled="true"
            android:exported="false" />

        <meta-data
            android:name="com.epson.iprint.prtlogger2.queryserver"
            android:value="0" />
        <meta-data
            android:name="com.google.android.gms.analytics.globalConfigResource"
            android:resource="@xml/ga_global_config" />

        <provider
            android:name="epson.provider.SharedPreferencesProvider"
            android:authorities="epson.print.provider.SharedPreferences"
            android:exported="false" />

        <activity
            android:name="com.epson.mobilephone.common.wifidirect.ActivityConnectSimpleAP"
            android:configChanges="orientation|screenSize"
            android:resizeableActivity="false"
            android:theme="@style/AppTheme.Translucent_epWiFiDirectManager" />
        <activity
            android:name="com.epson.mobilephone.common.wifidirect.ActivityConnectP2P"
            android:configChanges="orientation|screenSize"
            android:resizeableActivity="false"
            android:theme="@style/AppTheme.Translucent_epWiFiDirectManager" />
        <activity
            android:name="com.epson.mobilephone.common.wifidirect.ActivityControlWiFi"
            android:configChanges="orientation|screenSize"
            android:resizeableActivity="false"
            android:theme="@style/AppTheme.Translucent_epWiFiDirectManager" />
        <activity
            android:name="com.epson.mobilephone.common.wifidirect.ActivityRequestLocationPermission"
            android:configChanges="orientation|screenSize"
            android:resizeableActivity="false"
            android:theme="@style/AppTheme.Translucent_epWiFiDirectManager" />

        <service
            android:name="com.google.android.gms.analytics.AnalyticsJobService"
            android:enabled="true"
            android:exported="false"
            android:permission="android.permission.BIND_JOB_SERVICE" />
        <activity
            android:name="com.google.android.gms.auth.api.signin.internal.SignInHubActivity"
            android:excludeFromRecents="true"
            android:exported="false"
            android:theme="@style/Theme.Translucent.NoTitleBar" />
        <service
            android:name="com.google.android.gms.auth.api.signin.RevocationBoundService"
            android:exported="true"
            android:permission="com.google.android.gms.auth.api.signin.permission.REVOCATION_NOTIFICATION" />
        <activity
            android:name="com.google.android.gms.common.api.GoogleApiActivity"
            android:exported="false"
            android:theme="@style/Theme.Translucent.NoTitleBar" />
        <meta-data
            android:name="com.google.android.gms.version"
            android:value="@integer/google_play_services_version" />

        <activity
            android:name="com.box.androidsdk.content.auth.OAuthActivity"
            android:configChanges="orientation|screenSize"
            android:exported="true" />
        <activity
            android:name="com.box.androidsdk.content.auth.BlockedIPErrorActivity"
            android:launchMode="singleInstance" />

        <provider
            android:name="android.arch.lifecycle.ProcessLifecycleOwnerInitializer"
            android:authorities="epson.print.lifecycle-trojan"
            android:exported="false"
            android:multiprocess="true" />

        <activity
            android:name="com.epson.mobilephone.common.license.LicenseTopActivity"
            android:theme="@style/LicenseTheme" />
        <activity
            android:name="com.epson.mobilephone.common.license.InfoDisplayActivity"
            android:theme="@style/LicenseTheme" />
        <activity
            android:name="com.epson.mobilephone.common.license.UserSurveyInvitationActivity"
            android:theme="@style/LicenseTheme" />
        <activity
            android:name="com.epson.mobilephone.common.usb.UsbReciever"
            android:resizeableActivity="false">
            <intent-filter>
                <action android:name="android.hardware.usb.action.USB_DEVICE_ATTACHED" />
            </intent-filter>
            <meta-data
                android:name="android.hardware.usb.action.USB_DEVICE_ATTACHED"
                android:resource="@xml/usb_device_filter" />
        </activity>

        <receiver android:name="com.epson.mobilephone.common.usb.UsbReciever$UsbReceiver">
            <intent-filter>
                <action android:name="android.hardware.usb.action.USB_DEVICE_DETACHED" />
            </intent-filter>
        </receiver>
        <activity
            android:name="com.epson.mobilephone.common.guide.NoticeGuideActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:theme="@style/Translucent" />
    </application>

</manifest>